Package org.apache.sysds.runtime.instructions.fed

# Class FEDInstruction

java.lang.Object
org.apache.sysds.runtime.instructions.Instruction
org.apache.sysds.runtime.instructions.fed.FEDInstruction

Direct Known Subclasses:
  `ComputationFEDInstruction`, `InitFEDInstruction`, `SpoofFEDInstruction`, `VariableFEDInstruction`

public abstract class FEDInstruction extends Instruction

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`FEDInstruction.FederatedOutput`
`static enum`
`FEDInstruction.FEDType`

## Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.Instruction

`Instruction.IType`

## Field Summary

### Fields inherited from class org.apache.sysds.runtime.instructions.Instruction

`DATATYPE_PREFIX, FEDERATED_INST_PREFIX, GPU_INST_PREFIX, INSTRUCTION_DELIM, LITERAL_PREFIX, OOC_INST_PREFIX, OPERAND_DELIM, SP_INST_PREFIX, VALUETYPE_PREFIX`

## Method Summary

Modifier and Type
Method
Description
`FEDInstruction.FEDType`
`getFEDInstructionType()`
`long`
`getTID()`
`Instruction.IType`
`getType()`
`void`
`setTID(long tid)`

### Methods inherited from class org.apache.sysds.runtime.instructions.Instruction

`getBeginColumn, getBeginLine, getEndColumn, getEndLine, getExtendedOpcode, getFilename, getGraphString, getInstID, getInstructionString, getLineNum, getOpcode, getOperator, postprocessInstruction, preprocessInstruction, printMe, processInstruction, requiresLabelUpdate, setInstID, setLocation, setLocation, setLocation, setLocation, toString, updateInstructionThreadID`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getType

public Instruction.IType getType()

Specified by:
  `getType` in class `Instruction`

### getFEDInstructionType

public FEDInstruction.FEDType getFEDInstructionType()

### getTID

public long getTID()

### setTID

public void setTID(long tid)